variables:
  DOCKER_TLS_CERTDIR: ""
  TIMEOUT: 3600
docker-build-master:
  # Official docker image.
  image: docker:latest
  stage: build
  services:
    - docker:dind
  before_script:
    - docker login -u "$CI_REGISTRY_USER" -p "$CI_REGISTRY_PASSWORD" $CI_REGISTRY
  script:
    - cp $ENV_FILE .env
    - docker build --pull -t "$CI_REGISTRY_IMAGE":testcc4 .
    - docker push "$CI_REGISTRY_IMAGE":testcc4
